gnutls_fips140_run_self_tests(3)

NAME
gnutls_fips140_run_self_tests - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_fips140_run_self_tests( void);

ARGUMENTS

void

DESCRIPTION

Manually perform the second round of the FIPS140 self-tests, including:

- Known answer tests (KAT) for the selected set of symmetric cipher, MAC, public key, KDF, and DRBG - Library integrity checks

Upon failure with FIPS140 mode enabled, it makes the library unusable. This function is not thread-safe.

RETURNS
0 upon success, a negative error code otherwise

SINCE
3.7.7

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/